/*
	Acquisition + encoder

	Lotfi BAGHLI			  rev 14/03/2003
	Lotfi BAGHLI			  17/07/1996	rev 31/07/1996
	reconfiguration complte Pour DS1102 et nouveau onduleur
	et 20 A  current ADC range et non-inversion ADC 1 & 2
	light version Lotfi BAGHLI			  rev 12/12/2006
*/


/* inputs via DS1102 on-board ADC channel 1 et 2, new offsets */
/* cartes francis *20 !! */
#define inputI( i1, i2) \
{ \
	i1 = 20.0*( 0.0 + ds1102_ad(1) ); \
	i2 = 20.0*( 0.0 + ds1102_ad(2) ); \
}

/* inputs via DS1102 on-board ADC channel 1, 2, 3 et 4 */
/* avec offset LEM ! */
/* cartes francis *20A !! */
#define inputI_E( i1, i2, E1, E2) \
{ \
	i1 = -0.03  + 20.0*ds1102_ad(1); \
	i2 =  0.002 + 20.0*ds1102_ad(2); \
	E1 = 20.0*ds1102_ad(3); \
	E2 = 200.0*ds1102_ad(4); \
}

#define inputWm \
{ \
  /* read incremental encoder counter */ \
  inc_k = read_inc( 1); \
 \
  /* calculate mechanical angle rd  _ avec inversion _*/ \
  mpos=POStoRD*(float)inc_k; \
 \
  /* calculate mechanical speed rd/s */ \
	FIR_Wm[0]=POStoRD_S*(float)( inc_k - inc_kOld ); \
	inc_kOld = inc_k; \
 \
	WmMesure=0.2*(FIR_Wm[0]+FIR_Wm[1]+FIR_Wm[2]+FIR_Wm[3]+FIR_Wm[4]); \
	FIR_Wm[4]=FIR_Wm[3]; \
	FIR_Wm[3]=FIR_Wm[2]; \
	FIR_Wm[2]=FIR_Wm[1]; \
	FIR_Wm[1]=FIR_Wm[0]; \
}
