/*
	Declaration des fonctions et macros
	Pour DS1104
	Lotfi BAGHLI			  rev 03/03/2003
	light version Lotfi BAGHLI			  rev 12/12/2006
*/

#include "var.h"                  /* variables */

/* function prototypes */

inline long read_inc(long channel);
inline void ds1102_p14_phase_voltages(long ua,long ub,long uc);

/* macros */
#include "trans.c"	/* transformations */
#include "acqui.c"	/* acquisition + encoder */
#include "regul.c"	/* regulation, modele */

/* functions */
#include "newpwm.c"	/* PWM synchronisee ! + standard communication avec P14 */
#include "iofct.c"	/* encoder in and phase voltage out functions  */
